# Gimp.ColorProfile.new_from_lcms_profile

    function new_from_lcms_profile(lcms_profile: void): Gimp.ColorProfile {
        // Gjs wrapper for gimp_color_profile_new_from_lcms_profile()
    }

This function creates a GimpColorProfile from a cmsHPROFILE. On error, null is returned and @error is set. The passed lcms_profile pointer is not retained by the created Gimp.ColorProfile.

Since 2.10

lcms_profile

  an LCMS cmsHPROFILE pointer

Returns

  the Gimp.ColorProfile, or null.